jQuery 1.5.1 Compatible with Internet Explorer 9 (IE9)

Web developers who have been leveraging jQuery have also undoubtedly come across issues when building projects for the pre-release versions of Internet Explorer 9. Now jQuery 1.5.1 has been released, and is designed to play nice with IE9 by default, Microsoft informed.The jQuery team has focused on repairing a number of bugs related to jQuery's […]

Web developers who have been leveraging jQuery have also undoubtedly come across issues when building projects for the pre-release versions of Internet Explorer 9. Now jQuery 1.5.1 has been released, and is designed to play nice with IE9 by default, Microsoft informed.

The jQuery team has focused on repairing a number of bugs related to jQuery's support for IE9, and revealed that developers should no longer come across glitches.

"jQuery now supports Internet Explorer 9 as a top level browser. All known bugs have been fixed and/or been reported to the IE team for resolution in the final release," the team explained.

The software giant confirmed the bug fixes and applauded the jQuery team for the effort.

"This means all known issues with IE9 have been resolved and new issues will be resolved before future versions of jQuery are released," noted Tony Ross, Program Manager, Internet Explorer.

"On behalf of the IE team, I want to thank the jQuery team and contributors for their efforts to support IE9 and for their continued work on an awesome JavaScript library. Please download and use the latest version of jQuery to get your site ready for IE9."

[Source]